## Literature

Newly created page to list related references and additional literature pertaining to this package.

### Direct References

[1.1]  Fourie, D., Leonard, J., Kaess, M.: ["A Nonparametric Belief Solution to the Bayes Tree"](http://www.ri.cmu.edu/pub_files/2016/10/Fourie16iros.pdf) IEEE/RSJ Intl. Conf. on Intelligent Robots and Systems (IROS), (2016).

[1.2]  Fourie, D.: ["Multi-modal and Inertial Sensor Solutions for Navigation-type Factor   Graphs"](https://darchive.mblwhoilibrary.org/bitstream/handle/1912/9305/Fourie_thesis.pdf?sequence=1), Ph.D. Thesis, Massachusetts Institute of Technology Electrical Engineering and Computer Science together with Woods Hole Oceanographic Institution Department for Applied Ocean Science and Engineering, September 2017.

[1.3]  Fourie, D., Claassens, S., Pillai, S., Mata, R., Leonard, J.: ["SLAMinDB: Centralized graph databases for mobile robotics"](http://people.csail.mit.edu/spillai/projects/cloud-graphs/2017-icra-cloudgraphs.pdf), IEEE Intl. Conf. on Robotics and Automation (ICRA), Singapore, 2017.

[1.4]  Rypkema, N. R.,: "Underwater \& Out of Sight: Towards Ubiquity in UnderwaterRobotics", Ph.D. Thesis, Massachusetts Institute of Technology Electrical Engineering and Computer Science together with Woods Hole Oceanographic Institution Department for Applied Ocean Science and Engineering, September 2019.

[1.5]  Cheung, M., Fourie, D., Rypkema, N., Vaz Teixeira, P., Schmidt, H., and Leonard, J.: ["Non-Gaussian SLAM utilizing Synthetic Aperture Sonar"](https://marinerobotics.mit.edu/sites/default/files/cheung_icra2019.pdf), Intl. Conf. On Robotics and Automation (ICRA), IEEE, Montreal, 2019.

[1.6]  Doherty, K., Fourie, D., Leonard, J.: ["Multimodal Semantic SLAM with Probabilistic Data Association"](https://marinerobotics.mit.edu/sites/default/files/doherty_icra2019_revised.pdf), Intl. Conf. On Robotics and Automation (ICRA), IEEE, Montreal, 2019.

[1.7]  Fourie, D., Vaz Teixeira, P., Leonard, J.: "Non-parametric Mixed-Manifold Products using Multiscale Kernel Densities", IEEE Intl. Conf. on Intelligent Robots and Systems (IROS), (2019), under-review.

[1.8]  Fourie, D., Leonard, J.: "Inertial Odometry with Retroactive Sensor Calibration", publication under review.

[1.9]  Koolen, T. and Deits, R., 2019. Julia for robotics: Simulation and real-time control in a high-level programming language. Submitted to ICRA.

### Important References

[2.1]  Kaess, Michael, et al. ["iSAM2: Incremental smoothing and mapping using the Bayes tree"](http://journals.sagepub.com/doi/abs/10.1177/0278364911430419) The International Journal of Robotics Research (2011): 0278364911430419.

[2.2]  Kaess, Michael, et al. ["The Bayes tree: An algorithmic foundation for probabilistic robot mapping."](https://smartech.gatech.edu/bitstream/handle/1853/38459/Kaess10wafr.pdf?sequence=1&isAllowed=y) Algorithmic Foundations of Robotics IX. Springer, Berlin, Heidelberg, 2010. 157-173.

[2.3]  Kschischang, Frank R., Brendan J. Frey, and Hans-Andrea Loeliger. ["Factor graphs and the sum-product algorithm."](http://www.cs.utoronto.ca/~radford/csc2506/factor.pdf) IEEE Transactions on information theory 47.2 (2001): 498-519.

[2.4]  Dellaert, Frank, and Michael Kaess. ["Factor graphs for robot perception."](https://www.nowpublishers.com/article/DownloadSummary/ROB-043) Foundations and Trends® in Robotics 6.1-2 (2017): 1-139.

[2.5]  Sudderth, E.B., Ihler, A.T., Isard, M., Freeman, W.T. and Willsky, A.S., 2010. ["Nonparametric belief propagation."](https://www.microsoft.com/en-us/research/wp-content/uploads/2010/10/p95-sudderth.pdf) Communications of the ACM, 53(10), pp.95-103

[2.6] Paskin, Mark A. ["Thin junction tree filters for simultaneous localization and mapping."](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.15.7602&rep=rep1&type=pdf) in Int. Joint Conf. on Artificial Intelligence. 2003.

[2.7]  Farrell, J., and Matthew B.: "The global positioning system and inertial navigation." Vol. 61. New York: Mcgraw-hill, 1999.

[2.8]  Zarchan, Paul, and Howard Musoff, eds. Fundamentals of Kalman filtering: a practical approach. American Institute of Aeronautics and Astronautics, Inc., 2013.

[2.9]  Hanebeck, Uwe D. ["FLUX: Progressive State Estimation Based on Zakai-type Distributed Ordinary Differential Equations."](https://arxiv.org/pdf/1808.02825) arXiv preprint arXiv:1808.02825 (2018).

[2.10]  Muandet, Krikamol, et al. ["Kernel mean embedding of distributions: A review and beyond."](https://www.nowpublishers.com/article/DownloadSummary/MAL-060) Foundations and Trends® in Machine Learning 10.1-2 (2017): 1-141.

### Additional References

[3.1]  Duits, Remco, Erik J. Bekkers, and Alexey Mashtakov. ["Fourier Transform on the Homogeneous Space of 3D Positions and Orientations for Exact Solutions to Linear Parabolic and (Hypo-) Elliptic PDEs."](https://www.preprints.org/manuscript/201811.0027/download/final_file) arXiv preprint arXiv:1811.00363 (2018).

